package com.uas.report;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * jasperserver rest_v2 api 相关参数
 * 
 * @author sunyj
 * @since 2016年9月23日 下午4:36:29
 */
@Configuration
public class JasperserverRestAPIProperties {
	/**
	 * 协议
	 */
	@Value("${jasperserver.rest.api.schema}")
	private String schema;

	/**
	 * 主机名
	 */
	@Value("${jasperserver.rest.api.host}")
	// localhost
	private String host;

	/**
	 * 端口号
	 */
	@Value("${jasperserver.rest.api.port}")
	// 8081
	private Integer port;

	/**
	 * 根路径
	 */
	@Value("${jasperserver.rest.api.contextRoot}")
	private String contextRoot;

	/**
	 * rest服务路径
	 */
	@Value("${jasperserver.rest.api.rest}")
	private String rest;

	/**
	 * resources接口路径
	 */
	@Value("${jasperserver.rest.api.resources}")
	private String resources;

	/**
	 * 验证信息
	 */
	@Value("${jasperserver.rest.api.authorization}")
	// amFzcGVyYWRtaW46emh1aTEqOA==
	private String authorization;

	/**
	 * 图片资源路径
	 */
	@Value("${jasperserver.rest.api.images}")
	private String images;

	public String getSchema() {
		return schema;
	}

	public void setSchema(String schema) {
		this.schema = schema;
	}

	public String getHost() {
		return host;
	}

	public void setHost(String host) {
		this.host = host;
	}

	public Integer getPort() {
		return port;
	}

	public void setPort(Integer port) {
		this.port = port;
	}

	public String getContextRoot() {
		return contextRoot;
	}

	public void setContextRoot(String contextRoot) {
		this.contextRoot = contextRoot;
	}

	public String getRest() {
		return rest;
	}

	public void setRest(String rest) {
		this.rest = rest;
	}

	public String getResources() {
		return resources;
	}

	public void setResources(String resources) {
		this.resources = resources;
	}

	public String getAuthorization() {
		return authorization;
	}

	public void setAuthorization(String authorization) {
		this.authorization = authorization;
	}

	public String getImages() {
		return images;
	}

	public void setImages(String images) {
		this.images = images;
	}

}
